Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.dom
Class CSSOMValue.GreenComponent

    java.lang.Object
      org.apache.batik.css.dom.CSSOMValue.AbstractComponent
          org.apache.batik.css.dom.CSSOMValue.FloatComponent
              org.apache.batik.css.dom.CSSOMValue.GreenComponent

All Implemented Interfaces:
  CSSPrimitiveValue, CSSValue

Enclosing class:
  CSSOMValue

    protected class CSSOMValue.GreenComponent

extends CSSOMValue.FloatComponent

To represents a green component.

Field Summary

Fields inherited from interface org.w3c.dom.css.CSSPrimitiveValue
`CSS_ATTR, CSS_CM, CSS_COUNTER, CSS_DEG, CSS_DIMENSION, CSS_EMS, CSS_EXS, CSS_GRAD, CSS_HZ, CSS_IDENT, CSS_IN, CSS_KHZ, CSS_MM, CSS_MS, CSS_NUMBER, CSS_PC, CSS_PERCENTAGE, CSS_PT, CSS_PX, CSS_RAD, CSS_RECT, CSS_RGBCOLOR, CSS_S, CSS_STRING, CSS_UNKNOWN, CSS_URI`

Fields inherited from interface org.w3c.dom.css.CSSValue
`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

Constructor Summary
`protected` | `CSSOMValue.GreenComponent()`

Method Summary
`protected Value` | `getValue()` The returns the actual value of this component.
`void` | `setCssText(String cssText)` DOM: Implements `CSSValue.setCssText(String)`.
`void` | `setFloatValue(short unitType, float floatValue)` DOM: Implements `CSSPrimitiveValue.setFloatValue(short,float)`.

Methods inherited from class org.apache.batik.css.dom.CSSOMValue.FloatComponent
`setStringValue`

Methods inherited from class org.apache.batik.css.dom.CSSOMValue.AbstractComponent
`getCounterValue, getCssText, getCssValueType, getFloatValue, getLength, getPrimitiveType, getRectValue, getRGBColorValue, getStringValue, item`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSSOMValue.GreenComponent

    protected CSSOMValue.GreenComponent()

Method Detail

### getValue

    protected Value getValue()

  The returns the actual value of this component.

  Specified by:
    `getValue` in class `CSSOMValue.AbstractComponent`

### setCssText

    public void setCssText(String cssText)
                    throws DOMException

  DOM: Implements `CSSValue.setCssText(String)`.

  Throws:
    `DOMException`

### setFloatValue

    public void setFloatValue(short unitType,
                              float floatValue)
                       throws DOMException

  DOM: Implements `CSSPrimitiveValue.setFloatValue(short,float)`.

  Throws:
    `DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.